Bug 1933603 - CVE-2020-29074 x11vnc: insecure permissions on shm [fedora-all]
Summary: CVE-2020-29074 x11vnc: insecure permissions on shm [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: x11vnc
Version: 33
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-29074
TreeView+ depends on / blocked
 
Reported: 2021-03-01 08:52 UTC by msiddiqu
Modified: 2021-03-19 19:58 UTC (History)
2 users (show)

Fixed In Version: x11vnc-0.9.16-6.fc35 x11vnc-0.9.16-3.fc32 x11vnc-0.9.16-5.fc33 x11vnc-0.9.16-6.fc34
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-10 00:25:23 UTC
Type: ---


Attachments (Terms of Use)

Description msiddiqu 2021-03-01 08:52:11 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 msiddiqu 2021-03-01 08:52:15 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1933602,1933603

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-03-01 17:13:02 UTC
FEDORA-2021-069c0c3950 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-069c0c3950

Comment 3 Fedora Update System 2021-03-01 17:13:09 UTC
FEDORA-2021-93911302d6 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-93911302d6

Comment 4 Fedora Update System 2021-03-01 17:13:17 UTC
FEDORA-2021-c5b679877e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c5b679877e

Comment 5 Fedora Update System 2021-03-02 04:32:08 UTC
FEDORA-2021-069c0c3950 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-069c0c3950`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-069c0c3950

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-03-02 15:56:54 UTC
FEDORA-2021-93911302d6 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-93911302d6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-93911302d6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-03-02 16:29:49 UTC
FEDORA-2021-c5b679877e has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c5b679877e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c5b679877e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-03-10 00:25:23 UTC
FEDORA-2021-c5b679877e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-03-10 00:41:58 UTC
FEDORA-2021-93911302d6 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-03-19 17:42:17 UTC
FEDORA-2021-069c0c3950 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-03-19 19:58:39 UTC
FEDORA-2021-069c0c3950 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.